<?php
if($_GET["vid"]=="dinam"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$dinam_obr = mysql_query("SELECT * FROM `tb_ads` where `paypalemail` = '$wmid_cab' and `id` = '$id_d' and `tipo` = 'ads' and `vid` = '0' LIMIT 1");
  if(mysql_num_rows($dinam_obr) == 0){
    $error = "Ошибка: Токой ссылки нет, не надо эксперементировать";
  }else{
  	$d_ob = mysql_fetch_assoc($dinam_obr);
  	if($_GET["stat"]=="play"){
      if($d_ob["play"]==0){
        mysql_query("UPDATE `tb_ads` SET `play` = '1' WHERE `id` = '".$d_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=dinam#per">';
      }else{
        mysql_query("UPDATE `tb_ads` SET `play` = '0' WHERE `id` = '".$d_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=dinam#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      $time_m = round($time_d[$d_ob["timer"]],4);
      $activ_m = round($activ_d[$d_ob["act"]],4);
      $ob_summ = round(($plan_c[$plan] * $mon_d_p) + $time_m + ($activ_m * $plan_c[$plan]),2);
      if($duser["money_cr"] < $ob_summ){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$pl_p = $plan_c[$plan];
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$ob_summ' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_ads` SET `plan` = `plan`+'$pl_p' WHERE `id` = '".$d_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс ссылки пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=dinam#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url_cab = text($_POST["url_cab"]);
      $text_cab = text($_POST["text_cab"]);
      mysql_query("UPDATE `tb_ads` SET `url` = '$url_cab',`description` = '$text_cab' WHERE `id` = '".$d_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Ссылка отредактирована</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=dinam#per">';
  	}
  }
}
}elseif($_GET["vid"]=="mini"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$dinam_obr = mysql_query("SELECT * FROM `tb_ads1` where `paypalemail` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($dinam_obr) == 0){
    $error = "Ошибка: Токой ссылки нет, не надо эксперементировать";
  }else{
  	$d_ob = mysql_fetch_assoc($dinam_obr);
  	if($_GET["stat"]=="play"){
      if($d_ob["play"]==0){
        mysql_query("UPDATE `tb_ads1` SET `play` = '1' WHERE `id` = '".$d_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=mini#per">';
      }else{
        mysql_query("UPDATE `tb_ads1` SET `play` = '0' WHERE `id` = '".$d_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=mini#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      $time_b = round($time_m[$d_ob["timer"]],4);
      $activ_b = round($activ_m[$d_ob["act"]],4);
      $ob_summ = round(($plan_mc[$plan] * $time_b) + ($plan_mc[$plan] * $activ_b),2);
      if($duser["money_cr"]< $ob_summ){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$pl_p = $plan_mc[$plan];
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$ob_summ' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_ads1` SET `plan` = `plan`+'$pl_p' WHERE `id` = '".$d_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс ссылки пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=mini#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url_cab = text($_POST["url_cab"]);
      $text_cab = text($_POST["text_cab"]);
      mysql_query("UPDATE `tb_ads1` SET `url` = '$url_cab',`description` = '$text_cab' WHERE `id` = '".$d_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Ссылка отредактирована</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=mini#per">';
  	}
  }
}
}elseif($_GET["vid"]=="banner"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$banner_obr = mysql_query("SELECT * FROM `tb_advban` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($banner_obr) == 0){
    $error = "Ошибка: Токого баннера нет, не надо эксперементировать";
  }else{
  	$b_ob = mysql_fetch_assoc($banner_obr);
  	if($_GET["stat"]=="play"){
      if($b_ob["play"]==0){
      	$ostatoc=round((($b_ob["begindate"]+($b_ob["numdays"]*86400))-time())/86400,3);
        mysql_query("UPDATE `tb_advban` SET `play` = '1', `numdays` = '$ostatoc' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ баннера приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner#per">';
      }else{
        mysql_query("UPDATE `tb_advban` SET `play` = '0', `begindate` = '".time()."' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ баннера возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_bc[$plan]*$mon_b_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_bc[$plan]*$mon_b_p;
      	$pl_p = $plan_bc[$plan];
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_advban` SET `numdays` = `numdays`+'$pl_p' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс баннера пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url_site = text($_POST["url_site"]);
      $url_pic = text($_POST["url_pic"]);
      mysql_query("UPDATE `tb_advban` SET `urlsite` = '$url_site',`urlpic` = '$url_pic' WHERE `id` = '".$b_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Баннер отредактирован</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=banner#per">';
  	}
  }
}
}elseif($_GET["vid"]=="banner100"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$banner_obr = mysql_query("SELECT * FROM `tb_ban` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($banner_obr) == 0){
    $error = "Ошибка: Токого баннера нет, не надо эксперементировать";
  }else{
  	$b_ob = mysql_fetch_assoc($banner_obr);
  	if($_GET["stat"]=="play"){
      if($b_ob["play"]==0){
      	$ostatoc=round((($b_ob["begindate"]+($b_ob["numdays"]*86400))-time())/86400,3);
        mysql_query("UPDATE `tb_ban` SET `play` = '1', `numdays` = '$ostatoc' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ баннера приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner100#per">';
      }else{
        mysql_query("UPDATE `tb_ban` SET `play` = '0', `begindate` = '".time()."' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ баннера возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner100#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_b1c[$plan]*$mon_b1_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_b1c[$plan]*$mon_b1_p;
      	$pl_p = $plan_b1c[$plan]; echo $mon;
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_ban` SET `numdays` = `numdays`+'$pl_p' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс баннера пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner100#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url_site = text($_POST["url_site"]);
      $url_pic = text($_POST["url_pic"]);
      mysql_query("UPDATE `tb_ban` SET `urlsite` = '$url_site',`urlpic` = '$url_pic' WHERE `id` = '".$b_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Баннер отредактирован</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=banner100#per">';
  	}
  }
}
}elseif($_GET["vid"]=="banner200"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$banner_obr = mysql_query("SELECT * FROM `tb_advban200` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($banner_obr) == 0){
    $error = "Ошибка: Токого баннера нет, не надо эксперементировать";
  }else{
  	$b_ob = mysql_fetch_assoc($banner_obr);
  	if($_GET["stat"]=="play"){
      if($b_ob["play"]==0){
      	$ostatoc=round((($b_ob["begindate"]+($b_ob["numdays"]*86400))-time())/86400,3);
        mysql_query("UPDATE `tb_advban200` SET `play` = '1', `numdays` = '$ostatoc' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ баннера приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner200#per">';
      }else{
        mysql_query("UPDATE `tb_advban200` SET `play` = '0', `begindate` = '".time()."' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ баннера возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner200#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_b2c[$plan]*$mon_b2_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_b2c[$plan]*$mon_b2_p;
      	$pl_p = $plan_b2c[$plan];
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_advban200` SET `numdays` = `numdays`+'$pl_p' WHERE `id` = '".$b_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс баннера пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=banner200#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url_site = text($_POST["url_site"]);
      $url_pic = text($_POST["url_pic"]);
      mysql_query("UPDATE `tb_advban200` SET `urlsite` = '$url_site',`urlpic` = '$url_pic' WHERE `id` = '".$b_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Баннер отредактирован</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=banner200#per">';
  	}
  }
}
}elseif($_GET["vid"]=="stat"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$stat_obr = mysql_query("SELECT * FROM `tb_statlinks` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($stat_obr) == 0){
    $error = "Ошибка: Токой статической ссылки нет, не надо эксперементировать";
  }else{
  	$s_ob = mysql_fetch_assoc($stat_obr);
  	if($_GET["stat"]=="play"){
      if($s_ob["play"]==0){
      	$ostatoc=round((($s_ob["begindate"]+($s_ob["numdays"]*86400))-time())/86400,3);
        mysql_query("UPDATE `tb_statlinks` SET `play` = '1', `numdays` = '$ostatoc' WHERE `id` = '".$s_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ статической ссылки приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=stat#per">';
      }else{
        mysql_query("UPDATE `tb_statlinks` SET `play` = '0', `begindate` = '".time()."' WHERE `id` = '".$s_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ статической ссылки возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=stat#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_sc[$plan]*$mon_s_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_sc[$plan]*$mon_s_p;
      	$pl_p = $plan_sc[$plan];
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_statlinks` SET `numdays` = `numdays`+'$pl_p' WHERE `id` = '".$s_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс ссылки пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=stat#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url = text($_POST["url"]);
      $text = text($_POST["text"]);
      mysql_query("UPDATE `tb_statlinks` SET `url` = '$url',`description` = '$text' WHERE `id` = '".$s_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Статическая ссылка отредактирована</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=stat#per">';
  	}
  }
}
}elseif($_GET["vid"]=="link"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$link_obr = mysql_query("SELECT * FROM `tb_statlink` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($link_obr) == 0){
    $error = "Ошибка: Токой ссылки нет, не надо эксперементировать";
  }else{
  	$l_ob = mysql_fetch_assoc($link_obr);
  	if($_GET["stat"]=="play"){
      if($l_ob["play"]==0){
      	$ostatoc=round((($l_ob["begindate"]+($l_ob["numdays"]*86400))-time())/86400,3);
        mysql_query("UPDATE `tb_statlink` SET `play` = '1', `numdays` = '$ostatoc' WHERE `id` = '".$l_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=link#per">';
      }else{
        mysql_query("UPDATE `tb_statlink` SET `play` = '0', `begindate` = '".time()."' WHERE `id` = '".$l_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=link#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_lc[$plan]*$mon_l_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_lc[$plan]*$mon_l_p;
      	$pl_p = $plan_lc[$plan];
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_statlink` SET `numdays` = `numdays`+'$pl_p' WHERE `id` = '".$l_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс ссылки пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=link#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url = text($_POST["url"]);
      $text = text($_POST["text"]);
      $opis = text($_POST["opis"]);
      mysql_query("UPDATE `tb_statlink` SET `url` = '$url',`description` = '$text',`text` = '$opis' WHERE `id` = '".$l_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Сссылка отредактирована</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=link#per">';
  	}
  }
}
}elseif($_GET["vid"]=="psevdo"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$psevdo_obr = mysql_query("SELECT * FROM `tb_psevdolinks` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($psevdo_obr) == 0){
    $error = "Ошибка: Токой ссылки нет, не надо эксперементировать";
  }else{
  	$p_ob = mysql_fetch_assoc($psevdo_obr);
  	if($_GET["stat"]=="play"){
      if($p_ob["play"]==0){
      	$ostatoc=round((($p_ob["begindate"]+($p_ob["numdays"]*86400))-time())/86400,3);
        mysql_query("UPDATE `tb_psevdolinks` SET `play` = '1', `numdays` = '$ostatoc' WHERE `id` = '".$p_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=psevdo#per">';
      }else{
        mysql_query("UPDATE `tb_psevdolinks` SET `play` = '0', `begindate` = '".time()."' WHERE `id` = '".$p_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=psevdo#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_pc[$plan]*$mon_p_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_pc[$plan]*$mon_p_p;
      	$pl_p = $plan_pc[$plan];
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
        mysql_query("UPDATE `tb_psevdolinks` SET `numdays` = `numdays`+'$pl_p' WHERE `id` = '".$p_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Баланс ссылки пополнен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=psevdo#per">';
        }else{
         $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url = text($_POST["url"]);
      $text = text($_POST["text"]);
      mysql_query("UPDATE `tb_psevdolinks` SET `url` = '$url',`description` = '$text' WHERE `id` = '".$p_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Сссылка отредактирована</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=psevdo#per">';
  	}
  }
}
}elseif($_GET["vid"]=="text"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$text_obr = mysql_query("SELECT * FROM `tb_textads` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($text_obr) == 0){
    $error = "Ошибка: Токой ссылки нет, не надо эксперементировать";
  }else{
  	$t_ob = mysql_fetch_assoc($text_obr);
  	if($_GET["stat"]=="play"){
      if($t_ob["play"]==0){
      	$ostatoc=round(($t_ob["enddate"] - time())/86400,3);
        mysql_query("UPDATE `tb_textads` SET `play` = '1', `plan` = '$ostatoc' WHERE `id` = '".$t_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=text#per">';
      }else{
      	$ostatoc = round(($t_ob["plan"]*86400)+time());
        mysql_query("UPDATE `tb_textads` SET `play` = '0', `enddate` = '$ostatoc' WHERE `id` = '".$t_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=text#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_tc[$plan]*$mon_t_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_tc[$plan]*$mon_t_p;
      	$pl_p = $plan_tc[$plan]*86400;
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
          if($f_ob["play"]==0){
            mysql_query("UPDATE `tb_textads` SET `enddate` = `enddate`+'$pl_p' WHERE `id` = '".$t_ob["id"]."'");
          }else{
            mysql_query("UPDATE `tb_textads` SET `plan` = `plan`+'".$plan_tc[$plan]."' WHERE `id` = '".$t_ob["id"]."'");
          }
          $error = "<font style='color:#00aa00;'>Баланс ссылки пополнен</font>";
          echo '<meta http-equiv="refresh" content="1;URL=?vid=text#per">';
        }else{
          $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url = text($_POST["url"]);
      $text = text($_POST["text"]);
      mysql_query("UPDATE `tb_textads` SET `url` = '$url',`text` = '$text' WHERE `id` = '".$t_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Сссылка отредактирована</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=text#per">';
  	}
  }
}
}elseif($_GET["vid"]=="fram"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$fram_obr = mysql_query("SELECT * FROM `tb_frameads` where `wmid` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($fram_obr) == 0){
    $error = "Ошибка: Токой ссылки нет, не надо эксперементировать";
  }else{
  	$f_ob = mysql_fetch_assoc($fram_obr);
  	if($_GET["stat"]=="play"){
      if($f_ob["play"]==0){
      	$ostatoc=round(($f_ob["enddate"] - time())/86400,3);
        mysql_query("UPDATE `tb_frameads` SET `play` = '1', `plan` = '$ostatoc' WHERE `id` = '".$f_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=fram#per">';
      }else{
      	$ostatoc = round(($f_ob["plan"]*86400)+time());
        mysql_query("UPDATE `tb_frameads` SET `play` = '0', `enddate` = '$ostatoc' WHERE `id` = '".$f_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ ссылки возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=fram#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_fc[$plan]*$mon_f_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_fc[$plan]*$mon_f_p;
      	$pl_p = $plan_fc[$plan]*86400;
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
          if($f_ob["play"]==0){
            mysql_query("UPDATE `tb_frameads` SET `enddate` = `enddate`+'$pl_p' WHERE `id` = '".$f_ob["id"]."'");
          }else{
            mysql_query("UPDATE `tb_frameads` SET `plan` = `plan`+'".$plan_fc[$plan]."' WHERE `id` = '".$f_ob["id"]."'");
          }
          $error = "<font style='color:#00aa00;'>Баланс ссылки пополнен</font>";
          echo '<meta http-equiv="refresh" content="1;URL=?vid=fram#per">';
        }else{
          $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url = text($_POST["url"]);
      $text = text($_POST["text"]);
      mysql_query("UPDATE `tb_frameads` SET `link` = '$url',`text` = '$text' WHERE `id` = '".$f_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Сссылка отредактирована</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=fram#per">';
  	}
  }
}
}elseif($_GET["vid"]=="mail"){
if($_GET["stat"]!="" and $_GET["num"]!=""){
$id_d = intval($_GET["num"]);
$mail_obr = mysql_query("SELECT * FROM `tb_adsmail` where `user` = '$wmid_cab' and `id` = '$id_d' LIMIT 1");
  if(mysql_num_rows($mail_obr) == 0){
    $error = "Ошибка: Токой ссылки нет, не надо эксперементировать";
  }else{
  	$ma_ob = mysql_fetch_assoc($mail_obr);
  	if($_GET["stat"]=="play"){
      if($ma_ob["play"]==0){
        mysql_query("UPDATE `tb_adsmail` SET `play` = '1' WHERE `id` = '".$ma_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ письма приостановлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=mail#per">';
      }else{
        mysql_query("UPDATE `tb_adsmail` SET `play` = '0' WHERE `id` = '".$ma_ob["id"]."'");
        $error = "<font style='color:#00aa00;'>Показ письма возобновлен</font>";
        echo '<meta http-equiv="refresh" content="1;URL=?vid=mail#per">';
      }
  	}elseif($_GET["stat"]=="pop"){
      $plan = intval($_GET["plan"]);
      if($duser["money_cr"]< $plan_mac[$plan]*$mon_ma_p){
        $error = "Ошибка: На балансе рекламодателя не достаточно средств";
      }else{
      	$mon = $plan_mac[$plan]*$mon_ma_p;
      	$err_m = mysql_query("UPDATE `tb_users` SET `money_cr` = `money_cr`-'$mon' WHERE `wmid` = '$wmid_cab' LIMIT 1");
        if($err_m){
          mysql_query("UPDATE `tb_adsmail` SET `plan` = `plan`+'".$plan_mac[$plan]."' WHERE `id` = '".$ma_ob["id"]."'");
          $error = "<font style='color:#00aa00;'>Баланс письма пополнен</font>";
          echo '<meta http-equiv="refresh" content="1;URL=?vid=mail#per">';
        }else{
          $error = "Ошибка: Запрос не выполнен";
        }
      }

  	}elseif($_GET["stat"]=="edit"){
      $url = text($_POST["url"]);
      $text = text($_POST["text"]);
      $title = text($_POST["title"]);
      mysql_query("UPDATE `tb_adsmail` SET `link` = '$url',`text` = '$text', `title` = '$title' WHERE `id` = '".$ma_ob["id"]."' LIMIT 1");
      $error = "<font style='color:#00aa00;'>Письмо отредактировано</font>";
      echo '<meta http-equiv="refresh" content="1;URL=?vid=mail#per">';
  	}
  }
}
}

?>